## org.eclipse.emf.cdo.common.model
Class CDOPackageRegistryPopulator.Descriptor

    java.lang.Object
      org.eclipse.emf.cdo.common.model.CDOPackageRegistryPopulator.Descriptor

All Implemented Interfaces:
  org.eclipse.emf.ecore.EPackage.Descriptor

Enclosing class:
  CDOPackageRegistryPopulator

    public static class CDOPackageRegistryPopulator.Descriptor

extends java.lang.Object
implements org.eclipse.emf.ecore.EPackage.Descriptor

Constructor Summary
`CDOPackageRegistryPopulator.Descriptor(org.eclipse.emf.ecore.EPackage.Registry source, java.lang.String nsURI)`

Method Summary
`org.eclipse.emf.ecore.EFactory` `getEFactory()`
`org.eclipse.emf.ecore.EPackage` `getEPackage()`
`java.lang.String` `getNsURI()`
`org.eclipse.emf.ecore.EPackage.Registry` `getSource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOPackageRegistryPopulator.Descriptor

    public CDOPackageRegistryPopulator.Descriptor(org.eclipse.emf.ecore.EPackage.Registry source,
                                                  java.lang.String nsURI)

Method Detail

### getSource

    public org.eclipse.emf.ecore.EPackage.Registry getSource()

### getNsURI

    public java.lang.String getNsURI()

### getEFactory

    public org.eclipse.emf.ecore.EFactory getEFactory()

  Specified by:
    `getEFactory` in interface `org.eclipse.emf.ecore.EPackage.Descriptor`

### getEPackage

    public org.eclipse.emf.ecore.EPackage getEPackage()

  Specified by:
    `getEPackage` in interface `org.eclipse.emf.ecore.EPackage.Descriptor`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.